#ifndef BeamReactionSteppingAction_h
#define BeamReactionSteppingAction_h 1

#include "G4UserSteppingAction.hh"

class G4Step;
class ReactionGenerator;

class BeamReactionSteppingAction : public G4UserSteppingAction
{
  public:
    BeamReactionSteppingAction();
    virtual ~BeamReactionSteppingAction();

    virtual void UserSteppingAction(const G4Step* step) override;

  private:
    ReactionGenerator* fReaction;
};

#endif
